﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using YieldExample.Models;
using System.ComponentModel.DataAnnotations;

namespace YieldExample.Controllers
{
    public class YieldExampleController : ApiController
    {
        [HttpGet]        
        public HttpResponseMessage SomeAction([FromUri]ComplexRequest request)
        {
            if (!ModelState.IsValid)
            {
                //create a response from any validation triggered
                return Request.CreateErrorResponse(HttpStatusCode.BadRequest, ModelState);
            }

            //all validation passed
            return new HttpResponseMessage();
        }
    }
}
